package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyangzhou
 */

@Getter
@RequiredArgsConstructor
public enum PretreatmentGroupEnum {

    ATTRIBUTE_COMPLETION("事件属性补全", "1"), BOUNDARY_EVENT_CONFIRMATION("交界事件确认", "2"), SPLIT_MERGE("拆分与合并", "3"),
    UNKNOWN_COMPONENT("不明部件", "4");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        PretreatmentGroupEnum[] enums = PretreatmentGroupEnum.values();

        for (PretreatmentGroupEnum pretreatmentGroupEnum : enums) {
            if (pretreatmentGroupEnum.getValue().equals(value)) {
                return pretreatmentGroupEnum.getName();
            }
        }
        return "/";
    }

    public static String getValue(String name) {
        PretreatmentGroupEnum[] pretreatmentGroupEnums = values();
        for (PretreatmentGroupEnum pretreatmentGroupEnum : pretreatmentGroupEnums) {
            if ((pretreatmentGroupEnum.name).equals(name)) {
                return pretreatmentGroupEnum.getValue();
            }
        }
        return null;
    }

}
