package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyangzhou
 */

@Getter
@RequiredArgsConstructor
public enum PretreatmentStateEnum {

    WAITING_PREPROCESSING("待预处理", "1"), IN_PREPROCESSING("预处理中", "2"), COMPLETED_PREPROCESSING("预处理完成", "3");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

}
