#!/bin/bash
repo=registry.hncy.info
artifact=city-sjdz-base-biz
user=hncy
build_version=${1:-latest}
cd $(dirname $0)
docker buildx use mybuilder
docker buildx inspect --bootstrap
docker buildx build --platform linux/amd64,linux/arm64 \
    --build-arg JAR_FILE=${artifact}/target/${artifact}-1.0.0.jar \
    -t ${repo}/${user}/${artifact}:${build_version} . --push
