package com.hncy.sjdz.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.sjdz.base.models.entity.CallInformation;
import com.hncy.sjdz.base.models.entity.EventAttachmentInfo;
import com.hncy.sjdz.base.models.entity.SjdzQzTj;
import com.hncy.sjdz.base.models.vo.EventInformationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 网络理政来电信息-基本信息
 *
 * @author zhaoting
 * @date 2024-11-12 12:18:51
 */
@Mapper
public interface CallInformationMapper extends BaseMapper<CallInformation> {

	List<EventInformationVO> getEventInfoPage(@Param("area") String area, @Param("keyWord") String keyWord, @Param("time") String time);

	List<EventAttachmentInfo> listEventAttachmentInfo( @Param("eventId") String eventId);

	SjdzQzTj getSjdzQzTjNewest(@Param("area") String area, @Param("time") String time);

}