package com.hncy.sjdz.base.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.sjdz.base.models.entity.SafetyDictionary;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 类别字典表
 *
 * @author cp
 * @since 2024-11-07 15:01:58
 *
 */
@Mapper
public interface SafetyDictionaryMapper extends BaseMapper<SafetyDictionary> {
     List<Map> 	getTypeAndTotal(@Param("parentTypeCode") String parentTypeCode,@Param("areaCode") String areaCode);

	List<Map> getParentType();
}