package com.hncy.sjdz.base.mapper;

import com.hncy.sjdz.base.models.dto.BaseLabelEntity;
import com.hncy.sjdz.base.models.entity.SjdzIndustryStatisticsDay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author tyz
* @description 针对表【sjdz_industry_statistics_day(数据底座-行业问题-环卫固废问题每日统计)】的数据库操作Mapper
* @createDate 2024-11-12 15:36:30
* @Entity com.hncy.sjdz.base.models.entity.SjdzIndustryStatisticsDay
*/
@Mapper
public interface SjdzIndustryStatisticsDayMapper extends BaseMapper<SjdzIndustryStatisticsDay> {

	List<BaseLabelEntity> getTodaySanitationSolidWasteIssues();

}




