package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 群众呼声统计表
 *
 * @author zhaoting
 * @date 2024-11-12 12:23:18
 */
@Data
@TableName("sjdz_qz_tj")
@Schema(description = "群众呼声统计表")
public class SjdzQzTj implements Serializable {

    private static final long serialVersionUID = 1L;


	/**
	* 受理数量
	*/
    @Schema(description="受理数量")
    private Integer slNum;

	/**
	* 已回复数量
	*/
    @Schema(description="已回复数量")
    private Integer yhfNum;

	/**
	* 办理中事件
	*/
    @Schema(description="办理中事件")
    private Integer blzNum;

	/**
	* 截止时间
	*/
    @Schema(description="截止时间")
    private LocalDateTime jzTime;


}