package com.hncy.sjdz.base.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hncy.sjdz.base.models.entity.SafetyRiskEventInfo;
import com.hncy4cloud.hncy.common.core.util.R;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @author cp
 * @since 2024-11-07 15:33:16
 */
public interface SafetyRiskEventInfoService extends IService<SafetyRiskEventInfo> {

	R statisticalEvent(String parentTypeCode,String areaCode);

	R eventPage(String parentTypeCode,
				String riskLevelCode,
				String disposalStatus,
				String source,
				String areaCode,String dateType);

	R getInfo(String riskId);


	R statisticalMonth(String areaCode);

	R statisticalArea();

	R statisticalType( String type);



	R findListForMap(String parentTypeCode, String monitoringObjectTypeCodeList,String lat,String lon,String distance,String areaCode);



	R statisticalEventPc(String areaCode);


	R eventSourceTypeSelect();
}