package com.hncy.sjdz.base.service;

import com.hncy.sjdz.base.models.dto.BaseLabelEntity;
import com.hncy.sjdz.base.models.entity.SjdzIndustryCategoryDay;
import com.hncy.sjdz.base.models.entity.SjdzIndustryStatisticsDay;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author tyz
* @description 针对表【sjdz_industry_statistics_day(数据底座-行业问题-环卫固废问题每日统计)】的数据库操作Service
* @createDate 2024-11-12 15:36:30
*/
public interface SjdzIndustryStatisticsDayService extends IService<SjdzIndustryStatisticsDay> {

	/**
	 * 今日环卫固废问题统计
	 * @return
	 */
    List<BaseLabelEntity> getTodaySanitationSolidWasteIssues();

}
