package com.hncy.sjdz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum DestinationSystemEnum {

    ZTSZCG("ztszcg", "市数字城管"),
	//jbpt("jbpt","局办平台"),
	YHXYW("yhxyw", "区响应网"),
	ZHDD("zhdd","指挥调度"),
	CSGZ("CSGZ","城市感知");


    private final String code;

    private final String name;

    public static DestinationSystemEnum getByCode(String code) {
        for (DestinationSystemEnum item : DestinationSystemEnum.values()) {
            if (item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }

}
