package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum RegionEnum {

    CITY("市", "0"), DISTRICT("区市县", "1"), STREET("街道", "2"), COMMUNITY("社区", "3");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        RegionEnum[] enums = RegionEnum.values();

        for (RegionEnum regionEnum : enums) {
            if (regionEnum.getValue().equals(value)) {
                return regionEnum.getName();
            }
        }
        return "/";
    }

}
