package com.hncy.sjdz.base.models.entity;



import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 类别字典表
 *
 * @author cp
 * @since 2024-11-07 15:01:58
 */
@Data
@TableName("safety_dictionary")
public class SafetyDictionary implements Serializable{

    private static final long serialVersionUID=1L;

    /**
     *  主键
     */
    private String id;

    /**
     *  类别编码
     */
    private String typeCode;

    /**
     *  类别名称
     */
    private String typeName;

    /**
     *  父级编码
     */
    private String parentCode;

}