package com.hncy.sjdz.base.models.entity;


import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 监测对象表
 *
 * @author cp
 * @since 2024-11-07 15:23:28
 */
@Data
@TableName("safety_monitoring_object_info")
public class SafetyMonitoringObjectInfo implements Serializable{

    private static final long serialVersionUID=1L;

    /**
     *  主键
     */
    private String id;

    /**
     *  监测对象类別编码
     */
    private String monitoringObjectTypeCode;

    /**
     *  监测对象类別名称
     */
    private String monitoringObjectTypeName;

    /**
     *  监测对象名称
     */
    private String monitoringObjectName;

    /**
     *  当前状态
     */
    private String status;

    /**
     *  所属区域名称
     */
    private String area;

    /**
     *  设置位置
     */
    private String position;

    /**
     *  经度
     */
    private String xPos;

    /**
     *  纬度
     */
    private String yPos;

    /**
     *  责任单位
     */
    private String accountabilityUnit;

    /**
     *  当前风险等级编码
     */
    private String riskLevelCode;

    /**
     *  当前风险等级名称
     */
    private String riskLevelName;


	/**
	 *  监测对象描述
	 */
	private String objectDescribe;


	/**
	 *  监测对象照片
	 */
	private String photos;

	/**
	 *  加密状态
	 */
	private String encryptionStatus;


	/**
	 *  所属区域code
	 */
	private String areaName;

}