package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import lombok.Data;

/**
 * 数据底座-行业问题-环卫固废问题每日统计
 * @TableName sjdz_industry_statistics_day
 */
@TableName(value ="sjdz_industry_statistics_day")
@Data
public class SjdzIndustryStatisticsDay implements Serializable {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 事件总数 件
     */
    private String eventNum;

    /**
     * 待处置数量 件
     */
    private String disposalNum;

    /**
     * 处置及时率 整数百分比
     */
    private String disposalPercent;

    /**
     * 问题类型   环卫固废
     */
    private String industryType;

    /**
     * 日期
     */
    private LocalDate nowDay;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}