package com.hncy.sjdz.base.models.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
public class MajorProjectYearStatisticsVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@Schema(description = "今年项目总数")
	private String totalProject;

	@Schema(description = "项目总金额")
	private String totalBudget;

	@Schema(description = "未开始")
	private String notStarted;

	@Schema(description = "进行中")
	private String inProgress;

	@Schema(description = "已完成")
	private String completed;
}
